<?php

function get_suggestions() {
    global $db;
    $statement = $db->prepare("select suggestion_id, suggestion_text "
            . "from suggestions order by suggestion_id");
    $statement->execute(); 
    $suggestions = $statement->fetchall();
    $statement->closeCursor();
    return $suggestions;
}

function add_suggestion($suggestiontext) {
    global $db;
    $query = 'INSERT INTO suggestions
                 (suggestion_text)
              VALUES
                 (:suggestion)';
    $statement = $db->prepare($query);
    $statement->bindValue('suggestion', $suggestiontext);
    $statement->execute();
    $statement->closeCursor();
}

function delete_suggestion($suggestionid) {
    global $db;
    $query = 'DELETE FROM suggestions
              WHERE suggestion_id = :suggestionid';
    $statement = $db->prepare($query);
    $statement->bindValue('suggestionid', $suggestionid);
    $statement->execute();
    $statement->closeCursor();
}

function make_delete_button_here($id) {
    $result = "<form action='suggestion_delete.php' method='post'>"
            . "<input type='submit' name='delete_button' value='Delete'>"
            . "<input name='delete_this_id' type='hidden' value='$id'>"
            . "</form>";
    return $result;
}
?>